Jump to content
aban

Ortho with 45 degrees

Recommended Posts

aban

Hello, is there any way to get ortho to also include 45 degrees? I know polar tracking has the different angles, but I would need ortho to do that. If not, is there a way to make a lisp file to assign "DD" to turn that lisp file on? Please help with this because I really need this to work.

 

Thank you!

Share this post


Link to post
Share on other sites
ReMark

Why not just use the SNAPANG command to reset your crosshairs?

Share this post


Link to post
Share on other sites
CyberAngel

I don't see why you'd need Ortho to use polar tracking. Set your increment to 45 degrees and you should be okay.

Share this post


Link to post
Share on other sites
aban
Why not just use the SNAPANG command to reset your crosshairs?

 

 

Because I need a quick toggle for what I'm doing. SNAPANG would still only give me the 2 directions. I need 3 directions, 0,90, and 45 degrees.

Share this post


Link to post
Share on other sites
aban
I don't see why you'd need Ortho to use polar tracking. Set your increment to 45 degrees and you should be okay.

 

 

I need the ortho function to have the 45 degrees. Polar tracking allows other angles, but I need a quick toggle to have the 45 in ortho.

Share this post


Link to post
Share on other sites
eldon

Orthogonality is to do with right angles. 45° is half a right angle and can not be accommodated in Ortho as it stands.

 

If you were to set up a 45° Ortho, then you would only have available 45° and 135°.

 

You just need a steady hand to use Polar tracking with 45°.

Share this post


Link to post
Share on other sites
aban
Orthogonality is to do with right angles. 45° is half a right angle and can not be accommodated in Ortho as it stands.

 

If you were to set up a 45° Ortho, then you would only have available 45° and 135°.

 

You just need a steady hand to use Polar tracking with 45°.

 

Sounds good, so that means that there is no typical autocad command to get that 45 degrees. Is there a way to make a lisp file to have ortho, but include the 45 degrees? Or some other way to customize it?

Share this post


Link to post
Share on other sites
tombu
Sounds good, so that means that there is no typical autocad command to get that 45 degrees. Is there a way to make a lisp file to have ortho, but include the 45 degrees? Or some other way to customize it?

 

Here's a simple toggle to change the snap angle between horizontal and 45°:

(defun c:toggle45 ()
(if(= (+ (getvar "snapang")(getvar "viewtwist")) (* 2 PI))
 (setvar "snapang" (-(/ PI 4) (getvar "viewtwist")))
 (setvar "snapang" (- (getvar "viewtwist")))
)
(princ)
)

Share this post


Link to post
Share on other sites
Dana W

When using Auto snap tracking with polar tracking, the cursor will give you a lock on each angle you put in the polar tracking list. I think 45 is actually one of the default angles. The lock is not nearly as strong as the Ortho lock and releases quickly, so it will take a small amount of testing to get the feel for when it snaps to the listed angles. A small cross should appear under the cursor when you are on a I also suggest turning on dynamic input for this so you can read the angle and distance right at the cursor. The methodology is already there, no need to jump through so many flaming hoops.

Share this post


Link to post
Share on other sites
aban
On 8/17/2018 at 8:47 AM, tombu said:

 

Here's a simple toggle to change the snap angle between horizontal and 45°:


(defun c:toggle45 ()
(if(= (+ (getvar "snapang")(getvar "viewtwist")) (* 2 PI))
 (setvar "snapang" (-(/ PI 4) (getvar "viewtwist")))
 (setvar "snapang" (- (getvar "viewtwist")))
)
(princ)
)
 

 

I think this might be what I need. What would the trigger be to turn this on? Like for example, can I make this into "DD" command and press it again to turn it off? How could I set that as the command to turn it on? This would be a lisp file right?

Share this post


Link to post
Share on other sites
aban
On 8/17/2018 at 2:19 PM, Dana W said:

When using Auto snap tracking with polar tracking, the cursor will give you a lock on each angle you put in the polar tracking list. I think 45 is actually one of the default angles. The lock is not nearly as strong as the Ortho lock and releases quickly, so it will take a small amount of testing to get the feel for when it snaps to the listed angles. A small cross should appear under the cursor when you are on a I also suggest turning on dynamic input for this so you can read the angle and distance right at the cursor. The methodology is already there, no need to jump through so many flaming hoops.

I just want the three angles to work, 0, 45, and 90. I don't want any other angle to work at the time of the function. Like for example, if I do polar tracking I know that I could set 45 as an angle and it will snap to that, but it will also give me every single angle between 0 and 45 and between 45 and 90. I only want the three angles to work, 0, 45, and 90 exclusively. Even if there's a quick toggle between 0, 90 and 45 and 135 that's fine as well. I would prefer to have the one command to have all three angles, but if the only way to do that is to toggle the 0 and 45 I'm ok with that as well. 

Share this post


Link to post
Share on other sites
Dana W
Posted (edited)

Then what you are looking for isn't there, apparently.

Edited by Dana W

Share this post


Link to post
Share on other sites
aban
2 minutes ago, Dana W said:

What you are looking for isn't there.

I don't see how what I'm saying is not possible. Functions that have been created have been much much more complex. 

Share this post


Link to post
Share on other sites
Dana W
Posted (edited)
6 minutes ago, aban said:

I don't see how what I'm saying is not possible. Functions that have been created have been much much more complex. 

I didn't say anything about created functions, but many have given some pretty good suggestions for those.  What I referred to was that AutoCad does not have Ortho with 45 deg.

Getting your desired result from using polar and auto snap tracking is much quicker than writing lisp code or carrying on a three day forum conversation.   I am out.

Edited by Dana W

Share this post


Link to post
Share on other sites
aban
1 minute ago, Dana W said:

I didn't say anything about created functions, but many have given some pretty good suggestions for those.  What I referred to was that AutoCad does not have Ortho with 45 deg.

Getting your desired result from using polar and auto snap tracking is much quicker than writing lisp code or carrying on a three day forum conversation.   I am out.

I know autocad doesn't have ortho with 45 degrees. I've accepted that the first response. I'm asking about creating a function. 

 

Getting my desired result would come much quicker from something custom, hence me coming and asking for help on this forum. If you don't want to help I'm alright with that, but I'm on the forums for help. If someone else had a question that I would be able to help with I would help them. If I didn't know the answer I wouldn't tell them that they should go somewhere else. I wouldn't tell them that what they want is not useful. I'm not carrying out a 3 day forum conversation for the fun of it. I've stated what result I want and asked if anyone can help me, that's all. I'm still looking for the answer. 

 

And if this is not the right place, where can I go for this?

Share this post


Link to post
Share on other sites
Cad64
5 hours ago, aban said:

I just want the three angles to work, 0, 45, and 90. I don't want any other angle to work at the time of the function. Like for example, if I do polar tracking I know that I could set 45 as an angle and it will snap to that, but it will also give me every single angle between 0 and 45 and between 45 and 90. I only want the three angles to work, 0, 45, and 90 exclusively.

If you set your Polar Tracking increment angle to 45, all you will get is 45 increment angles. You won't get every other angle in between.

Tracking.jpg

Share this post


Link to post
Share on other sites
aban
1 hour ago, Cad64 said:

If you set your Polar Tracking increment angle to 45, all you will get is 45 increment angles. You won't get every other angle in between.

Tracking.jpg

That tracks 45 degree angles only, but the other angles it works as well. I want it to only work 0, 45, and 90 degrees only. 

Share this post


Link to post
Share on other sites
Cad64

I guess I don't understand what you're trying to do? Polar Tracking will allow you to snap to 45 degree angles, but if you only want 0, 45 and 90, you will need to find someone who can write some code for this. There is no way in Autocad to restrict the angle snap to those angles only.

You should post your request in the Autolisp section: https://www.cadtutor.net/forum/forum/15-autolisp-visual-lisp-amp-dcl/

Share this post


Link to post
Share on other sites
tzframpton
8 hours ago, Cad64 said:

I guess I don't understand what you're trying to do?

He's just wanting to lock down a 45° incremental angle only with his mouse. Not possible without some type of customization as far as I know. 

I'm getting confused with "only 45 and 90 degree angles" because 45° factors into 90°, so the request for 90° is irrelevant I'm assuming? The angles he's wanting locked down, as I see it, are as follows:

  • 45°
  • 90°
  • 135°
  • 180°
  • 225°
  • 270°
  • 315°

Polar Tracking can achieve the above, but it sounds like the user wants a true "lock down" of the cursor movement path. If this is all accurate then I do believe a customization would be in place. 

-TZ

Share this post


Link to post
Share on other sites
Cad64

I understand about the 45 degree increments but what I don't understand is why he only wants 0, 45 and 90? He has said that several times so I'm assuming he doesn't want 135, 180, 225, 270 and 315. I don't understand why those other angles are a problem? And I'm not even sure if a custom command will be able to do what he wants because those other angles are automatically generated when you initiate a 45 degree angle snap.

Polar Tracking works great for me, but as you said, if he wants a true lock down of the cursor, he will have to get someone to help customize that.

  • Like 1

Share this post


Link to post
Share on other sites

Create an account or sign in to comment

You need to be a member in order to leave a comment

Create an account

Sign up for a new account in our community. It's easy!

Register a new account

Sign in

Already have an account? Sign in here.

Sign In Now

×